## networkd-dispatcher 2.1

=== Makefile ===
A2X = a2x
RM = rm -f

MAN_SRCs = networkd-dispatcher.txt
MAN_OUT  = $(MAN_SRCs:%.txt=%.8)

all: $(MAN_OUT)

clean:
	$(RM) $(MAN_OUT)

%.8: %.txt
	@$(A2X) --format manpage $<

## networkd-dispatcher 1.7

=== debian/changelog ===
networkd-dispatcher (1.7-0ubuntu3) bionic; urgency=medium

  * Use /usr/lib/networkd-dispatcher for scripts.
    This allows us to provide integration without conffiles. We later
    need to re-add support for /etc, and overrides.
    We need to pass --skip-private to dh-python3, otherwise it deletes
    all our directories in /usr/lib/networkd-dispatcher.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 19 Apr 2018 08:38:07 +0200

networkd-dispatcher (1.7-0ubuntu2) bionic; urgency=medium

  * Demote iw | wireless-tools to Suggests

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 18 Apr 2018 08:40:55 +0200

networkd-dispatcher (1.7-0ubuntu1) bionic; urgency=medium

  * Initial upload (LP: #1762386)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 09 Apr 2018 14:04:45 +0200

=== debian/control ===
Source: networkd-dispatcher
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: asciidoc,
               debhelper (>= 11),
               dh-python,
               docbook-xml,
               docbook-xsl,
               gir1.2-glib-2.0,
               iw | wireless-tools,
               python3-dbus,
               python3-gi,
               python3-pytest,
               python3:any,
               xsltproc
Standards-Version: 4.1.3
Homepage: https://github.com/craftyguy/networkd-dispatcher
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/networkd-dispatcher
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/networkd-dispatcher

Package: networkd-dispatcher
Architecture: all
Depends: gir1.2-glib-2.0,
         python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Suggests: iw | wireless-tools
Description: Dispatcher service for systemd-networkd connection status changes
 Networkd-dispatcher is a dispatcher daemon for systemd-networkd
 connection status changes. It is similar to NetworkManager-dispatcher,
 but is much more limited in the types of events it supports due to the
 limited nature of systemd-networkd.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3

override_dh_install:
	install -m644 -D networkd-dispatcher.conf debian/networkd-dispatcher/etc/default/networkd-dispatcher
	dh_install

override_dh_auto_test:
	pytest-3


override_dh_python3:
	# Deletes all my /usr/lib/networkd-dispatcher dirs...
	dh_python3 --skip-private

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%networkd-dispatcher-$1.tar.gz%" \
   https://github.com/craftyguy/networkd-dispatcher/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## networkd-dispatcher 2.0

=== debian/changelog ===
networkd-dispatcher (2.0-2) unstable; urgency=medium

  * Refer to networkctl(1) in networkd-dispatcher(8) text (LP: #1787495)

 -- Julian Andres Klode <jak@debian.org>  Wed, 30 Jan 2019 16:01:34 +0100

networkd-dispatcher (2.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches and drop patches merged upstream:
    - 0003-Allow-usr-lib-networkd-dispatcher-scripts-with-etc-o.patch
  * d/p/0003-Mock-iwconfig-in-test_get_interface_data.patch: Fix test
    suite error when run with pytest-3
  * debian/n-d.dirs: Add carrier.d and degraded.d hook dirs
  * debian/watch: Update for gitlab
  * Build-Depend on python3-mock

 -- Julian Andres Klode <jak@debian.org>  Thu, 22 Nov 2018 15:36:00 +0100

networkd-dispatcher (1.7-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Initial upload to Debian (Closes: #901844); changes from 1.7-0ubuntu8:
    - debian/gbp.conf: Adjust for Debian
    - debian/control: Update maintainer
  * Noteworthy changes from upstream inherited from Ubuntu:
    - Startup triggers run by default
    - configuration file in /etc/default instead of /etc/conf.d/
    - cherry-pick ability to have scripts in /usr/lib/networkd-dispatcher

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Julian Andres Klode <jak@debian.org>  Mon, 15 Oct 2018 14:29:11 +0200

networkd-dispatcher (1.7-0ubuntu8) cosmic; urgency=medium

  * Create directories for scripts in /etc

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 26 Sep 2018 15:45:00 +0200

networkd-dispatcher (1.7-0ubuntu7) cosmic; urgency=medium

  * Allow overriding /usr/lib scripts in /etc/networkd-dispatcher.
    Replaces our patch to use /usr/lib/networkd-dispatcher with the
    solution contributed upstream that has a search path with both
    /usr/lib/ and /etc locations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 26 Sep 2018 13:17:21 +0200

networkd-dispatcher (1.7-0ubuntu6) cosmic; urgency=medium

  * networkd-dispatcher.conf: Run startup triggers by default (LP: #1772137)

 -- Julian Andres Klode <julian.klode@canonical.com>  Tue, 19 Jun 2018 11:19:39 +0200

networkd-dispatcher (1.7-0ubuntu5) cosmic; urgency=medium

  * Revert "Cherry-pick upstream fix to start before systemd-networkd"
    (reopens LP #1772137); the change caused an ordering cycle.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 31 May 2018 20:09:08 +0200

networkd-dispatcher (1.7-0ubuntu4) cosmic; urgency=medium

  * Cherry-pick upstream fix to start before systemd-networkd (LP: #1772137)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 May 2018 16:08:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: networkd-dispatcher
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: asciidoc,
                debhelper (>= 11),
                dh-python,
@@ -11,13 +11,14 @@
                iw | wireless-tools,
                python3-dbus,
                python3-gi,
+               python3-mock,
                python3-pytest,
                python3:any,
                xsltproc
 Standards-Version: 4.1.3
 Homepage: https://github.com/craftyguy/networkd-dispatcher
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/networkd-dispatcher
-Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/networkd-dispatcher
+Vcs-Git: https://salsa.debian.org/debian/networkd-dispatcher.git
+Vcs-Browser: https://salsa.debian.org/debian/networkd-dispatcher
 
 Package: networkd-dispatcher
 Architecture: all

## networkd-dispatcher 2.0.1

=== debian/changelog ===
networkd-dispatcher (2.0.1-2+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2022-29799 CVE-2022-29800

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 28 Apr 2022 21:30:05 +0800

## networkd-dispatcher 2.1

=== debian/changelog ===
networkd-dispatcher (2.1-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * Add d/p/0003-Normalize-parsed-IP-address-value.patch to handle IP address
    networkctl output of systemd v244+

  [ Julian Andres Klode ]
  * debian/gbp.conf: Point to debian/bullseye

 -- Julian Andres Klode <jak@debian.org>  Mon, 12 Jul 2021 12:56:03 +0200

networkd-dispatcher (2.1-1) unstable; urgency=medium

  * New upstream release 2.1 (Closes: #968941)
    - fixes parsing of current systemd (LP: #1884248)

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 Nov 2020 14:35:05 +0100

networkd-dispatcher (2.0.1-1) unstable; urgency=medium

  * New upstream release 2.0.1
  * Rebase patches, dropping upstreamed patches (0003 and 0004)
  * Bump Standards-Version to 4.4.0
  * debian/rules: Respect nocheck build option
  * Add lintian overrides for empty directories
  * debian/clean: Add .pytest_cache/
  * Override package-supports-alternative-init-but-no-init.d-script
  * Depend on dbus (Closes: #932764)

 -- Julian Andres Klode <jak@debian.org>  Mon, 19 Aug 2019 14:17:24 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,15 @@
                python3-pytest,
                python3:any,
                xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://github.com/craftyguy/networkd-dispatcher
 Vcs-Git: https://salsa.debian.org/debian/networkd-dispatcher.git
 Vcs-Browser: https://salsa.debian.org/debian/networkd-dispatcher
 
 Package: networkd-dispatcher
 Architecture: all
-Depends: gir1.2-glib-2.0,
+Depends: dbus,
+         gir1.2-glib-2.0,
          python3-dbus,
          python3-gi,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,9 @@
 	dh_install
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	pytest-3
-
+endif
 
 override_dh_python3:
 	# Deletes all my /usr/lib/networkd-dispatcher dirs...

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/networkd-dispatcher.*\.tar\.gz/networkd-dispatcher-$1\.tar\.gz/g \
  https://gitlab.com/craftyguy/networkd-dispatcher/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.* debian

## networkd-dispatcher 2.1-2~ubuntu20.04.1mint1.really2.2.1

=== debian/changelog ===
networkd-dispatcher (2.1-2~ubuntu20.04.1mint1.really2.2.1) focal; urgency=medium

  * Temp upgrade to 2.2.1 (fixes CVE-2022-29799, CVE-2022-29800)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2022 14:54:49 +0100

networkd-dispatcher (2.1-2~ubuntu20.04.1) focal; urgency=medium

  [ Lukas Märdian ]
  * Add d/p/0003-Normalize-parsed-IP-address-value.patch to handle IP address
    networkctl output of systemd v244+ (LP: #1884248)

  [ Julian Andres Klode ]
  * debian/gbp.conf: Point to debian/bullseye

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 12 Jul 2021 15:26:17 +0200

## networkd-dispatcher 2.2.3

=== debian/changelog ===
networkd-dispatcher (2.2.3-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * New upstream version
    - Includes fixes for CVE-2022-29799 CVE-2022-29800 (Closes: #1010303)
    - Doesn't start if there's nothing to do (Closes: #1014615)
  * d/control: Change Homepage URL to current location (Closes: #953791)
  * Update to debhelper 13
  * d/control: Set Rules-Requires-Root: no
  * debian/salsa-ci.yml: Add
  * Bump Standards-Version to 4.5.0
  * Rebase patches

  [ Debian Janitor ]
  * Update lintian override info format in d/networkd-dispatcher.lintian-overrides on line 1-6.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Julian Andres Klode <jak@debian.org>  Fri, 20 Jan 2023 16:34:14 +0100

## networkd-dispatcher 2.2.4

=== debian/changelog ===
networkd-dispatcher (2.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073681)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Jul 2024 14:52:59 +0200

networkd-dispatcher (2.2.4-1) unstable; urgency=medium

  * New upstream version:
    - Omit journald lines from networkctl status output, this caused
      significant overhead.
    - Add environment variables to manpage
    - Update project URL (LP: #2017374)
    - Minor CI changes

 -- Julian Andres Klode <jak@debian.org>  Mon, 24 Apr 2023 17:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Julian Andres Klode <jak@debian.org>
+Rules-Requires-Root: no
 Build-Depends: asciidoc,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -15,8 +16,8 @@
                python3-pytest,
                python3:any,
                xsltproc
-Standards-Version: 4.4.0
-Homepage: https://github.com/craftyguy/networkd-dispatcher
+Standards-Version: 4.6.2
+Homepage: https://gitlab.com/craftyguy/networkd-dispatcher
 Vcs-Git: https://salsa.debian.org/debian/networkd-dispatcher.git
 Vcs-Browser: https://salsa.debian.org/debian/networkd-dispatcher
